package domain

type AlibabaWdkMarketingOpenDarunfaActivitySyncDrfTxdActivityBo struct {
	/*
	   换购机台     */
	ActivityChannel *string `json:"activity_channel,omitempty" `

	/*
	   封顶金额，单位：分     */
	CellingAmount *int64 `json:"celling_amount,omitempty" `

	/*
	   是否多阶梯可叠加，0--否，1--是     */
	IsMultiMix *int64 `json:"is_multi_mix,omitempty" `

	/*
	   是否单商品累计，0--否，1--是     */
	ItemOverlay *int64 `json:"item_overlay,omitempty" `

	/*
	   是否可贬值；0--否，1--是     */
	DiscountFeeModel *int64 `json:"discount_fee_model,omitempty" `

	/*
	   是否上不封顶；0--否，1--是     */
	EnableMultiple *int64 `json:"enable_multiple,omitempty" `

	/*
	   商品池规则     */
	PoolRules *string `json:"pool_rules,omitempty" `

	/*
	   商品池数量     */
	PoolNum *int64 `json:"pool_num,omitempty" `

	/*
	   商家人群编码     */
	MerchantCrowdCode *string `json:"merchant_crowd_code,omitempty" `

	/*
	   活动每日限购     */
	TotalDayLimit *int64 `json:"total_day_limit,omitempty" `

	/*
	   用户每日限购     */
	UserDayLimit *int64 `json:"user_day_limit,omitempty" `

	/*
	   活动总限购     */
	TotalLimit *int64 `json:"total_limit,omitempty" `

	/*
	   用户数量总限购     */
	UserLimit *int64 `json:"user_limit,omitempty" `

	/*
	   一口价【分】     */
	FixPrice *int64 `json:"fix_price,omitempty" `

	/*
	   第N件活动规则     */
	CountAt *int64 `json:"count_at,omitempty" `

	/*
	   单品特价类型；1-一口价；2-打折；3-减钱     */
	DiscountType *int64 `json:"discount_type,omitempty" `

	/*
	   ?营销中台活动类型     */
	ActivityType *int64 `json:"activity_type,omitempty" `

	/*
	   1--pos,2--App;1,2--pos&App     */
	Terminals *string `json:"terminals,omitempty" `

	/*
	   门店Id     */
	StoreIds *string `json:"store_ids,omitempty" `

	/*
	   活动描述     */
	ActivityContent *string `json:"activity_content,omitempty" `

	/*
	   活动名称     */
	ActivityName *string `json:"activity_name,omitempty" `

	/*
	   中台活动Id（全局唯一）     */
	PromotionId *string `json:"promotion_id,omitempty" `

	/*
	   限购权重，实际限购=限购值/限购权重     */
	LimitWeight *int64 `json:"limit_weight,omitempty" `

	/*
	   更新时间     */
	UpdateTime *int64 `json:"update_time,omitempty" `

	/*
	   插入时间     */
	InsertTime *int64 `json:"insert_time,omitempty" `

	/*
	   0--不可用；1--可用     */
	Status *int64 `json:"status,omitempty" `

	/*
	   活动结束时间     */
	EndDate *int64 `json:"end_date,omitempty" `

	/*
	   活动开始时间     */
	StartDate *int64 `json:"start_date,omitempty" `

	/*
	   商品池阶梯规则     */
	StairRules *string `json:"stair_rules,omitempty" `

	/*
	   是否叠加逻辑分组与阶梯条件；0-否，1-是     */
	IsCheckAllCond *int64 `json:"is_check_all_cond,omitempty" `

	/*
	   淘鲜达活动Id     */
	TxdActivityId *int64 `json:"txd_activity_id,omitempty" `

	/*
	   周期生效配置，weekdays：星期几搞活动 [1:Mon;2:Tues;3:Wed;4:Thur;5:Fri;6:Sat;7:Sun]；every_day_periods：每天的什么时间阶段搞活动,精确到秒单位,最多支持5段 例如:03:00:00_05:00:00，示例：{"weekdays":[1,2,3,4,5,6,7],"every_day_periods":["03:00:00_05:00:00","18:00:00_21:00:00"]}     */
	PeriodConfig *string `json:"period_config,omitempty" `

	/*
	   是否针对单个商品使用优惠     */
	IsAlone *int64 `json:"is_alone,omitempty" `
}

func (s *AlibabaWdkMarketingOpenDarunfaActivitySyncDrfTxdActivityBo) SetActivityChannel(v string) *AlibabaWdkMarketingOpenDarunfaActivitySyncDrfTxdActivityBo {
	s.ActivityChannel = &v
	return s
}
func (s *AlibabaWdkMarketingOpenDarunfaActivitySyncDrfTxdActivityBo) SetCellingAmount(v int64) *AlibabaWdkMarketingOpenDarunfaActivitySyncDrfTxdActivityBo {
	s.CellingAmount = &v
	return s
}
func (s *AlibabaWdkMarketingOpenDarunfaActivitySyncDrfTxdActivityBo) SetIsMultiMix(v int64) *AlibabaWdkMarketingOpenDarunfaActivitySyncDrfTxdActivityBo {
	s.IsMultiMix = &v
	return s
}
func (s *AlibabaWdkMarketingOpenDarunfaActivitySyncDrfTxdActivityBo) SetItemOverlay(v int64) *AlibabaWdkMarketingOpenDarunfaActivitySyncDrfTxdActivityBo {
	s.ItemOverlay = &v
	return s
}
func (s *AlibabaWdkMarketingOpenDarunfaActivitySyncDrfTxdActivityBo) SetDiscountFeeModel(v int64) *AlibabaWdkMarketingOpenDarunfaActivitySyncDrfTxdActivityBo {
	s.DiscountFeeModel = &v
	return s
}
func (s *AlibabaWdkMarketingOpenDarunfaActivitySyncDrfTxdActivityBo) SetEnableMultiple(v int64) *AlibabaWdkMarketingOpenDarunfaActivitySyncDrfTxdActivityBo {
	s.EnableMultiple = &v
	return s
}
func (s *AlibabaWdkMarketingOpenDarunfaActivitySyncDrfTxdActivityBo) SetPoolRules(v string) *AlibabaWdkMarketingOpenDarunfaActivitySyncDrfTxdActivityBo {
	s.PoolRules = &v
	return s
}
func (s *AlibabaWdkMarketingOpenDarunfaActivitySyncDrfTxdActivityBo) SetPoolNum(v int64) *AlibabaWdkMarketingOpenDarunfaActivitySyncDrfTxdActivityBo {
	s.PoolNum = &v
	return s
}
func (s *AlibabaWdkMarketingOpenDarunfaActivitySyncDrfTxdActivityBo) SetMerchantCrowdCode(v string) *AlibabaWdkMarketingOpenDarunfaActivitySyncDrfTxdActivityBo {
	s.MerchantCrowdCode = &v
	return s
}
func (s *AlibabaWdkMarketingOpenDarunfaActivitySyncDrfTxdActivityBo) SetTotalDayLimit(v int64) *AlibabaWdkMarketingOpenDarunfaActivitySyncDrfTxdActivityBo {
	s.TotalDayLimit = &v
	return s
}
func (s *AlibabaWdkMarketingOpenDarunfaActivitySyncDrfTxdActivityBo) SetUserDayLimit(v int64) *AlibabaWdkMarketingOpenDarunfaActivitySyncDrfTxdActivityBo {
	s.UserDayLimit = &v
	return s
}
func (s *AlibabaWdkMarketingOpenDarunfaActivitySyncDrfTxdActivityBo) SetTotalLimit(v int64) *AlibabaWdkMarketingOpenDarunfaActivitySyncDrfTxdActivityBo {
	s.TotalLimit = &v
	return s
}
func (s *AlibabaWdkMarketingOpenDarunfaActivitySyncDrfTxdActivityBo) SetUserLimit(v int64) *AlibabaWdkMarketingOpenDarunfaActivitySyncDrfTxdActivityBo {
	s.UserLimit = &v
	return s
}
func (s *AlibabaWdkMarketingOpenDarunfaActivitySyncDrfTxdActivityBo) SetFixPrice(v int64) *AlibabaWdkMarketingOpenDarunfaActivitySyncDrfTxdActivityBo {
	s.FixPrice = &v
	return s
}
func (s *AlibabaWdkMarketingOpenDarunfaActivitySyncDrfTxdActivityBo) SetCountAt(v int64) *AlibabaWdkMarketingOpenDarunfaActivitySyncDrfTxdActivityBo {
	s.CountAt = &v
	return s
}
func (s *AlibabaWdkMarketingOpenDarunfaActivitySyncDrfTxdActivityBo) SetDiscountType(v int64) *AlibabaWdkMarketingOpenDarunfaActivitySyncDrfTxdActivityBo {
	s.DiscountType = &v
	return s
}
func (s *AlibabaWdkMarketingOpenDarunfaActivitySyncDrfTxdActivityBo) SetActivityType(v int64) *AlibabaWdkMarketingOpenDarunfaActivitySyncDrfTxdActivityBo {
	s.ActivityType = &v
	return s
}
func (s *AlibabaWdkMarketingOpenDarunfaActivitySyncDrfTxdActivityBo) SetTerminals(v string) *AlibabaWdkMarketingOpenDarunfaActivitySyncDrfTxdActivityBo {
	s.Terminals = &v
	return s
}
func (s *AlibabaWdkMarketingOpenDarunfaActivitySyncDrfTxdActivityBo) SetStoreIds(v string) *AlibabaWdkMarketingOpenDarunfaActivitySyncDrfTxdActivityBo {
	s.StoreIds = &v
	return s
}
func (s *AlibabaWdkMarketingOpenDarunfaActivitySyncDrfTxdActivityBo) SetActivityContent(v string) *AlibabaWdkMarketingOpenDarunfaActivitySyncDrfTxdActivityBo {
	s.ActivityContent = &v
	return s
}
func (s *AlibabaWdkMarketingOpenDarunfaActivitySyncDrfTxdActivityBo) SetActivityName(v string) *AlibabaWdkMarketingOpenDarunfaActivitySyncDrfTxdActivityBo {
	s.ActivityName = &v
	return s
}
func (s *AlibabaWdkMarketingOpenDarunfaActivitySyncDrfTxdActivityBo) SetPromotionId(v string) *AlibabaWdkMarketingOpenDarunfaActivitySyncDrfTxdActivityBo {
	s.PromotionId = &v
	return s
}
func (s *AlibabaWdkMarketingOpenDarunfaActivitySyncDrfTxdActivityBo) SetLimitWeight(v int64) *AlibabaWdkMarketingOpenDarunfaActivitySyncDrfTxdActivityBo {
	s.LimitWeight = &v
	return s
}
func (s *AlibabaWdkMarketingOpenDarunfaActivitySyncDrfTxdActivityBo) SetUpdateTime(v int64) *AlibabaWdkMarketingOpenDarunfaActivitySyncDrfTxdActivityBo {
	s.UpdateTime = &v
	return s
}
func (s *AlibabaWdkMarketingOpenDarunfaActivitySyncDrfTxdActivityBo) SetInsertTime(v int64) *AlibabaWdkMarketingOpenDarunfaActivitySyncDrfTxdActivityBo {
	s.InsertTime = &v
	return s
}
func (s *AlibabaWdkMarketingOpenDarunfaActivitySyncDrfTxdActivityBo) SetStatus(v int64) *AlibabaWdkMarketingOpenDarunfaActivitySyncDrfTxdActivityBo {
	s.Status = &v
	return s
}
func (s *AlibabaWdkMarketingOpenDarunfaActivitySyncDrfTxdActivityBo) SetEndDate(v int64) *AlibabaWdkMarketingOpenDarunfaActivitySyncDrfTxdActivityBo {
	s.EndDate = &v
	return s
}
func (s *AlibabaWdkMarketingOpenDarunfaActivitySyncDrfTxdActivityBo) SetStartDate(v int64) *AlibabaWdkMarketingOpenDarunfaActivitySyncDrfTxdActivityBo {
	s.StartDate = &v
	return s
}
func (s *AlibabaWdkMarketingOpenDarunfaActivitySyncDrfTxdActivityBo) SetStairRules(v string) *AlibabaWdkMarketingOpenDarunfaActivitySyncDrfTxdActivityBo {
	s.StairRules = &v
	return s
}
func (s *AlibabaWdkMarketingOpenDarunfaActivitySyncDrfTxdActivityBo) SetIsCheckAllCond(v int64) *AlibabaWdkMarketingOpenDarunfaActivitySyncDrfTxdActivityBo {
	s.IsCheckAllCond = &v
	return s
}
func (s *AlibabaWdkMarketingOpenDarunfaActivitySyncDrfTxdActivityBo) SetTxdActivityId(v int64) *AlibabaWdkMarketingOpenDarunfaActivitySyncDrfTxdActivityBo {
	s.TxdActivityId = &v
	return s
}
func (s *AlibabaWdkMarketingOpenDarunfaActivitySyncDrfTxdActivityBo) SetPeriodConfig(v string) *AlibabaWdkMarketingOpenDarunfaActivitySyncDrfTxdActivityBo {
	s.PeriodConfig = &v
	return s
}
func (s *AlibabaWdkMarketingOpenDarunfaActivitySyncDrfTxdActivityBo) SetIsAlone(v int64) *AlibabaWdkMarketingOpenDarunfaActivitySyncDrfTxdActivityBo {
	s.IsAlone = &v
	return s
}
